Bug 91826 - update port: devel/codeblocks, build fix on i386 4 machines
Summary: update port: devel/codeblocks, build fix on i386 4 machines
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-01-15 12:50 UTC by m.sund
Modified: 2006-01-29 22:54 UTC (History)
0 users

See Also:


Attachments
file.diff (4.77 KB, patch)
2006-01-15 12:50 UTC, m.sund
no flags Details | Diff
cb.diff (5.00 KB, patch)
2006-01-18 21:53 UTC, m.sund
no flags Details | Diff
cb.diff (13.13 KB, patch)
2006-01-29 20:46 UTC, m.sund
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description m.sund 2006-01-15 12:50:02 UTC
This update hopefully fixes build problem on i386 4 machines.
Added GCC dependency in order to use -MF and -MT command line parameters.
Variables ${CC} and ${CXX} (defined in bsd.gcc.mk) are now being used to define gcc commands.
Replaced all ${ECHO} variables with ${ECHO_CMD} in Makefile.
Comment 1 Pav Lucistnik freebsd_committer 2006-01-15 16:16:40 UTC
State Changed
From-To: open->feedback

Was this tested? I think you can't link gcc-2.95 compiled C++ library like 
wxGTK and gcc-3.X compiled C++ code like codeblocks after your change. 


Comment 2 Pav Lucistnik freebsd_committer 2006-01-15 16:16:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Poke
Comment 3 m.sund 2006-01-18 21:53:19 UTC
I marked this port broken for i386 4 and ia64 6 machines until I can fix 
the problem at least for ia64 arch.
The new diff is attached.
Comment 4 Pav Lucistnik freebsd_committer 2006-01-18 22:08:22 UTC
Matthias Sund p=ED=B9e v st 18. 01. 2006 v 22:53 +0100:

> I marked this port broken for i386 4 and ia64 6 machines until I can fix=20
> the problem at least for ia64 arch.
> The new diff is attached.

Looks like you will also need to toss "-fPIC" into CFLAGS on amd64 and
ia64 architecture:

Linking shared library devel/libwxscintilla.so...
/usr/bin/ld: .objs/sdk/wxscintilla/src/PlatWX.o: relocation R_X86_64_32 can=
 not be used when making a shared object; recompile with -fPIC
.objs/sdk/wxscintilla/src/PlatWX.o: could not read symbols: Bad value
gmake: *** [devel/libwxscintilla.so] Error 1

--=20
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

But soft, what light through yonder window breaks? It is the East,
and Juliet is the sun! Arise, fair sun, and kill the envious moon,
who is already sick and pale with grief that thou her maid art far
more fair than she.
Comment 5 m.sund 2006-01-29 20:46:44 UTC
Pav Lucistnik wrote:
> Looks like you will also need to toss "-fPIC" into CFLAGS on amd64 and
> ia64 architecture:
> 
> Linking shared library devel/libwxscintilla.so...
> /usr/bin/ld: .objs/sdk/wxscintilla/src/PlatWX.o: relocation R_X86_64_32 can not be used when making a shared object; recompile with -fPIC
> .objs/sdk/wxscintilla/src/PlatWX.o: could not read symbols: Bad value
> gmake: *** [devel/libwxscintilla.so] Error 1
> 
OK, I have added "-fPIC" in files/Makefile.

regards,
Matthias
Comment 6 Pav Lucistnik freebsd_committer 2006-01-29 22:54:30 UTC
State Changed
From-To: feedback->closed

Committed, thanks!